CVE-2004-0929
CVSS10.0
发布时间 :2005-01-27 00:00:00
修订时间 :2008-09-10 15:28:16
NMCOPS    

[原文]Heap-based buffer overflow in the OJPEGVSetField function in tif_ojpeg.c for libtiff 3.6.1 and earlier, when compiled with the OJPEG_SUPPORT (old JPEG support) option, allows remote attackers to execute arbitrary code via a malformed TIFF image.


[CNNVD]LibTIFF tif_ojpeg.c 缓冲区溢出漏洞(CNNVD-200501-280)

        LibTiff是一款开源的tiff文件处理库。
        libtiff 3.6.1及之前版本中tif_ojpeg.c的OJPEGVSetField存在缓冲区溢出漏洞。
        当使用支持OJPEG_SUPPORT(旧版JPEG支持)选项编译,攻击者可以通过一个畸形的TIFF图片,利用此漏洞执行强制性代码。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:suse:suse_linux:9.1SuSE SuSE Linux 9.1
cpe:/o:suse:suse_linux:9.0SuSE SuSE Linux 9.0
cpe:/o:suse:suse_linux:8::enterprise_server
cpe:/o:suse:suse_linux:8.2SuSE SuSE Linux 8.2
cpe:/o:suse:suse_linux:9.0::enterprise_server
cpe:/o:suse:suse_linux:8.1SuSE SuSE Linux 8.1
cpe:/a:libtiff:libtiff:3.6.1LibTIFF 3.6.1
cpe:/o:suse:suse_linux:1.0::desktop

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0929
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0929
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200501-280
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/129910
(UNKNOWN)  CERT-VN  VU#129910
http://www.idefense.com/application/poi/display?id=154&type=vulnerabilities
(VENDOR_ADVISORY)  IDEFENSE  20041022 Novell SuSe Linux LibTIFF Heap Overflow Vulnerability
http://xforce.iss.net/xforce/xfdb/17843
(VENDOR_ADVISORY)  XF  libtiff-ojpegvsetfield-bo(17843)
http://www.novell.com/linux/security/advisories/2004_38_libtiff.html
(UNKNOWN)  SUSE  SUSE-SA:2004:038

- 漏洞信息

LibTIFF tif_ojpeg.c 缓冲区溢出漏洞
危急 缓冲区溢出
2005-01-27 00:00:00 2005-10-20 00:00:00
远程  
        LibTiff是一款开源的tiff文件处理库。
        libtiff 3.6.1及之前版本中tif_ojpeg.c的OJPEGVSetField存在缓冲区溢出漏洞。
        当使用支持OJPEG_SUPPORT(旧版JPEG支持)选项编译,攻击者可以通过一个畸形的TIFF图片,利用此漏洞执行强制性代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:ftp://ftp.remotesensing.org/pub/libtiff/

- 漏洞信息 (F34815)

iDEFENSE Security Advisory 2004-10-22.t (PacketStormID:F34815)
2004-10-27 00:00:00
iDefense Labs,Andrei Nigmatulin  idefense.com
advisory,overflow,arbitrary
CVE-2004-0929
[点击下载]

iDEFENSE Security Advisory 10.22.04 - An exploitable heap overflow in the handling of malformed tiff files has been discovered in the latest version of libtiff when JPEG support has been enabled. An attacker can exploit the above-described vulnerability to execute arbitrary code under the permissions of the target user. Successful exploitation requires that the attacker convince the end-user to open the malicious tiff file using an application linked with a vulnerable version of libtiff.

Novell SuSe Linux LibTIFF Heap Overflow Vulnerability

iDEFENSE Security Advisory 10.22.04
www.idefense.com/application/poi/display?id=154&type=vulnerabilities
October 22, 2004

I. BACKGROUND

libtiff provides support for using the Tag Image File Format (TIFF), a
widely used format for storing image data.

II. DESCRIPTION

An exploitable heap overflow in the handling of malformed tiff files has
been discovered in the latest version of libtiff when JPEG support has
been enabled.

The overflow occurs in the OJPEGVSetField() function of
libtiff/tif_ojpeg.c. During processing, it is assumed that more than 255
bytes will not be processed, however in certain cases it is possible to
cause up to 16 times that amount of data to be processed, thus causing
the overflow.

III. ANALYSIS

An attacker can exploit the above-described vulnerability to execute
arbitrary code under the permissions of the target user. Successful
exploitation requires that the attacker convince the end-user to open
the malicious tiff file using an application linked with a vulnerable
version of libtiff.

IV. DETECTION

iDEFENSE has confirmed the existence of this vulnerability in version
3.6.1 of libtiff when compiled with optional OJPEG_SUPPORT. This option
is enabled by default under SuSE Linux 9.1 Personal and Suse Linux 9.1
Professional.

V. WORKAROUND

Only open files from trusted users. Alternatively, recompile libtiff
without the optional OJPEG_SUPPORT.

VI. VENDOR RESPONSE

This issue is addressed in SUSE-SA:2004:038

   http://www.suse.de/de/security/2004_38_libtiff.html

VII. CVE INFORMATION

The Common Vulnerabilities and Exposures (CVE) project has assigned the
names CAN-2004-0929 to these issues. This is a candidate for inclusion
in the CVE list (http://cve.mitre.org), which standardizes names for
security problems.

VIII. DISCLOSURE TIMELINE

09/09/2004   Initial vendor notification
09/09/2004    

- 漏洞信息

11147
LibTIFF OJPEGVSetField Malformed TIFF Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

- 时间线

2004-10-22 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

LibTIFF OJPEG Heap Buffer Overflow Vulnerability
Boundary Condition Error 11506
Yes No
2004-10-22 12:00:00 2009-07-12 08:06:00
Andrei Nigmatulin discovered this vulnerability.

- 受影响的程序版本

SuSE SUSE Linux Enterprise Server 8
+ Linux kernel 2.4.21
+ Linux kernel 2.4.19
SCO Unixware 7.1.4
S.u.S.E. Linux Personal 9.1
S.u.S.E. Linux Personal 9.0
S.u.S.E. Linux Personal 8.2
S.u.S.E. Linux Enterprise Server 9
S.u.S.E. Linux Desktop 1.0
S.u.S.E. Linux 8.1
LibTIFF LibTIFF 3.6.1
+ Gentoo Linux 1.4
+ Gentoo Linux
+ OpenPKG OpenPKG Current
+ Turbolinux Turbolinux Server 10.0
+ Ubuntu Ubuntu Linux 5.0 4 powerpc
+ Ubuntu Ubuntu Linux 5.0 4 i386
+ Ubuntu Ubuntu Linux 5.0 4 amd64
+ Ubuntu Ubuntu Linux 4.1 ppc
+ Ubuntu Ubuntu Linux 4.1 ia64
+ Ubuntu Ubuntu Linux 4.1 ia32

- 漏洞讨论

LibTIFF is affected by a heap buffer overflow vulnerability. This issue is due to a failure of the application to properly perform boundary checks prior to copying user-supplied strings into finite process buffers.

An attacker may leverage this issue to execute arbitrary code on a vulnerable computer with the privileges of the user running the vulnerable application, facilitating unauthorized access. This issue may also be leveraged to cause an affected application to crash.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

SCO has released an advisory (SCOSA-2005.19) and fixes to address this issue for UnixWare platforms. Please see the referenced advisory for further information.

SuSE Linux has released advisory SUSE-SA:2004:038 along with fixes to address this issue. Please see the referenced advisory for further information.


LibTIFF LibTIFF 3.6.1

SCO Unixware 7.1.4

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站